import { Message } from "@hpcc-js/util";
export class AttrChangedMessage extends Message {
    get canConflate() {
        return true;
    }
    constructor(what, oldValue, newValue) {
        super();
        this.changes = {};
        this.changes[what] = { oldValue, newValue };
    }
    conflate(other) {
        for (const what in other.changes) {
            const thisChange = this.changes[what];
            const otherChange = other.changes[what];
            if (thisChange) {
                this.changes[what].newValue = otherChange?.newValue;
            }
            else {
                this.changes[what] = otherChange;
            }
        }
        return true;
    }
}
//# sourceMappingURL=message.js.map